#version 330 core

in vec2 UV;
uniform sampler2D bufferA;
uniform sampler2D bufferB;
uniform sampler2D bufferC;
uniform sampler2D bufferD;
uniform sampler2D bufferE;
uniform float weightA;
uniform float weightB;
uniform float weightC;
uniform float weightD;
uniform float weightE;

layout(location = 0) out vec4 kolor;


void main() {
    kolor = weightA * texture(bufferA, UV)
          + weightB * texture(bufferB, UV)
          + weightC * texture(bufferC, UV)
          + weightD * texture(bufferD, UV)
          + weightE * texture(bufferE, UV);
}
